Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 460748 (CVE-2013-1861) - <dev-db/mysql-5.1.70 : geometry query crashes mysqld (CVE-2013-1861)
Summary: <dev-db/mysql-5.1.70 : geometry query crashes mysqld (CVE-2013-1861)
Status: RESOLVED FIXED
Alias: CVE-2013-1861
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: A3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-03-08 05:46 UTC by Agostino Sarubbo
Modified: 2014-09-04 08:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-03-08 05:46:40 UTC
From ${URL} :

Alyssa Milburn reported that when MySQL attempts to convert a binary string representation of a raw 
geometry object to a textual representation, the length checks in MySQL's spatial functions would 
overflow, resulting in a crash of mysqld (for instance, a query like "select 
astext(0x0100000000030000000100000000000010);" will cause the crash).

This has been reported to both upstream MariaDB [1] and Oracle [2].  A proposed patch is available 
[3].

[1] https://mariadb.atlassian.net/browse/MDEV-4252
[2] http://bugs.mysql.com/bug.php?id=68591
[3] http://lists.askmonty.org/pipermail/commits/2013-March/004371.html
Comment 1 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-03-16 19:37:22 UTC
Upstream patch as of 2013/03/15 does NOT fix all the issues, see the comments on [1].
Comment 2 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-03-18 20:06:54 UTC
5.5.31 will have further fixes for this.
See http://lists.askmonty.org/pipermail/commits/2013-March/004447.html
Comment 3 Robin Johnson archtester Gentoo Infrastructure gentoo-dev Security 2013-03-18 20:06:59 UTC
*** Bug 462222 has been marked as a duplicate of this bug. ***
Comment 4 GLSAMaker/CVETool Bot gentoo-dev 2013-04-11 16:58:10 UTC
CVE-2013-1861 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-1861):
  MariaDB 5.5.x before 5.5.30, 5.3.x before 5.3.13, 5.2.x before 5.2.15, and
  5.1.x before 5.1.68, and unspecified versions of Oracle MySQL, allows remote
  attackers to cause a denial of service (crash) via a crafted geometry
  feature that specifies a large number of points, which is not properly
  handled when processing the binary representation of this feature, related
  to a numeric calculation error.
Comment 5 Agostino Sarubbo gentoo-dev 2013-09-05 08:27:16 UTC
This issue is noted as being corrected in the Oracle July 2013 CPU:

http://www.oracle.com/technetwork/topics/security/cpujuly2013-1899826.html#AppendixMSQL

It is reported to be fixed in 5.6.12, 5.5.32, and 5.1.70.

@security, go ahead with the glsa.
Comment 6 Sergey Popov gentoo-dev Security 2014-02-27 14:38:17 UTC
GLSA request filed
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2014-09-04 08:48:16 UTC
This issue was resolved and addressed in
 GLSA 201409-04 at http://security.gentoo.org/glsa/glsa-201409-04.xml
by GLSA coordinator Sergey Popov (pinkbyte).